SOLVED Mint 18.3 Mate VirtualBox

Questions about virtualization software
Forum rules
Before you post please read how to get help
Post Reply
krustybaguette
Level 3
Level 3
Posts: 128
Joined: Thu Mar 31, 2011 8:24 am

SOLVED Mint 18.3 Mate VirtualBox

Post by krustybaguette » Sat Mar 31, 2018 7:16 pm

Two key elements to my SOLUTION were installing the 5.2.8 VB Extensions (after I got it to open my Win10 VM) and getting past my hesitancy to update the Kernel to 4.13.0-37-generic. Update manager had been nagging me to do so even before I switched from 18.3 with Cinnamon to 18.3 with MATE. That hesitancy was due to the suggestion to NOT update anything categorized as Level 4 or 5. Of course since I eventually installed VB via a download .deb file from Oracleś website, I´m ahead of the repository version.


After installing Mint 18.3 with MATE to replace Mint 18.3 with Cinnamon I installed repository version of Oracle VB. Immediately got update message when I started VB (recommended version 5.2.8) Having had trouble when I installed a slightly older version under my Cinnamon installation I knew I had to get rid of all traces of the old installation, i.e. the version I installed from the repositiory. I believe it was version 5.0.#. command line options to remove/purge VirtualBox I did a search for ¨VirtualBox¨ under my File system. I deleted everything except the VirtualBox Machines folder in my /home. I don´t want to reinstall the repo version as it wouldn´t open my Win10 virtual machine. I´ve seen so many conflicting opinions about how to get VirtualBox 5.2.8 installed in Linux Mint 18.3 that Iḿ hoping someone in the Mint Forums can set my on the right path.
First decision is which version should I try? My system is 64bit, and I´ve read (on an Ubuntu forum) that Mint 18.3 is based on Ubuntu 16.04 so does that mean I should TRY to install that version of VB?
I downloaded the .deb but couldn´s get the installation to start.

Ubuntu 18.04 ("Bionic") AMD64
Ubuntu 17.04 ("Zesty") / 17.10 ("Artful") i386 | AMD64
Ubuntu 16.10 ("Yakkety") i386 | AMD64
Ubuntu 16.04 ("Xenial") i386 | AMD64

krustybaguette
Last edited by krustybaguette on Tue Apr 03, 2018 10:14 am, edited 1 time in total.

User avatar
AZgl1500
Level 7
Level 7
Posts: 1615
Joined: Thu Dec 31, 2015 3:20 am
Location: /Home/Desktop
Contact:

Re: Mint 18.3 Mate VirtualBox

Post by AZgl1500 » Sat Mar 31, 2018 7:20 pm

get the Ubuntu 16.04 ("Xenial") i386 | AMD64 version direct from Oracle, do NOT use the repository version.

been there, fought that battle.

User avatar
catweazel
Level 15
Level 15
Posts: 5918
Joined: Fri Oct 12, 2012 9:44 pm
Location: Australian Antarctic Territory

Re: Mint 18.3 Mate VirtualBox

Post by catweazel » Sat Mar 31, 2018 8:06 pm

AZgl1500 wrote:
Sat Mar 31, 2018 7:20 pm
get the Ubuntu 16.04 ("Xenial") i386 | AMD64 version direct from Oracle, do NOT use the repository version.

been there, fought that battle.
"My system is 64bit" <--- The OP has a 64bit system so needs the AMD64 version. There is no "i386 | AMD64 version", as that is a copy paste from the download page and refers to two different versions.
A new scientific truth does not triumph by convincing its opponents and making them see the light, but rather because its opponents eventually die, and a new generation grows up that is familiar with it. - Max Planck

User avatar
AZgl1500
Level 7
Level 7
Posts: 1615
Joined: Thu Dec 31, 2015 3:20 am
Location: /Home/Desktop
Contact:

Re: Mint 18.3 Mate VirtualBox

Post by AZgl1500 » Sat Mar 31, 2018 8:20 pm

catweazel wrote:
Sat Mar 31, 2018 8:06 pm
AZgl1500 wrote:
Sat Mar 31, 2018 7:20 pm
get the Ubuntu 16.04 ("Xenial") i386 | AMD64 version direct from Oracle, do NOT use the repository version.

been there, fought that battle.
"My system is 64bit" <--- The OP has a 64bit system so needs the AMD64 version. There is no "i386 | AMD64 version", as that is a copy paste from the download page and refers to two different versions.
I should have caught that myself: sorry to the OP for not mentioning that.

krustybaguette
Level 3
Level 3
Posts: 128
Joined: Thu Mar 31, 2011 8:24 am

Re: Mint 18.3 Mate VirtualBox

Post by krustybaguette » Sun Apr 01, 2018 3:26 pm

Installed but had an error on starting up. See image.

Image

the error message suggests executing that file so here goes:

kenneth@kenneth-ThinkPad-T520 ~ $ sudo vboxconfig
[sudo] password for kenneth:
vboxdrv.sh: Stopping VirtualBox services.
vboxdrv.sh: Building VirtualBox kernel modules.
vboxdrv.sh: Starting VirtualBox services.
kenneth@kenneth-ThinkPad-T520 ~ $

Same error message appeared again. What does it mean?

krustybaguette
Level 3
Level 3
Posts: 128
Joined: Thu Mar 31, 2011 8:24 am

Re: Mint 18.3 Mate VirtualBox

Post by krustybaguette » Mon Apr 02, 2018 11:11 am

nstalled but had an error on starting up. See image.

Image
With all troubles encountered so far, and troubles continue I´ve done more searching. googled the bottom portion of the image posted above which led to this https://askubuntu.com/questions/676992/ ... nt-to-17-1. Article on AskUbuntu forum. Two suggested
command line options quoted from the comments on the linked article follow:

1 You need the kernel headers to compile the vbox module. Install them with sudo apt-get install linux-headers-generic and try again.

2 The reason, why the module can not be built are, as the error suggest, missing kernel header files.

Install them with

sudo apt-get install linux-headers-generic

Both of these seems plausible. However my Update Manager http://s1198.photobucket.com/user/krust ... sort=3&o=0 shows several kernel related updates that I have avoided installing as they are rated of low importance (i.e. 4 out of 5). Comments please.

Post Reply

Return to “Virtualization”